- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IDataSource
IItemDataRenderer
IRepeatInfoUser
TActiveFileUpload
TBaseDataList
TBaseValidator
TBoundColumn
TBulletedList
TBulletedListDisplayMode
TBulletedListEventParameter
TBulletStyle
TButton
TButtonColumn
TButtonColumnType
TButtonType
TCaptcha
TCaptchaValidator
TCheckBox
TCheckBoxColumn
TCheckBoxList
TCircleHotSpot
TClientScript
TClientScriptLoader
TClientSideValidationSummaryOptions
TColorPicker
TColorPickerClientSide
TColorPickerMode
TCompareValidator
TCompleteWizardStep
TConditional
TContent
TContentDirection
TContentPlaceHolder
TCustomValidator
TDataBoundControl
TDataGrid
TDataGridColumn
TDataGridColumnCollection
TDataGridCommandEventParameter
TDataGridItem
TDataGridItemCollection
TDataGridItemEventParameter
TDataGridItemRenderer
TDataGridPageChangedEventParameter
TDataGridPager
TDataGridPagerButtonType
TDataGridPagerEventParameter
TDataGridPagerMode
TDataGridPagerPosition
TDataGridPagerStyle
TDataGridSortCommandEventParameter
TDataList
TDataListCommandEventParameter
TDataListItem
TDataListItemCollection
TDataListItemEventParameter
TDataListItemRenderer
TDataRenderer
TDataSourceControl
TDataSourceSelectParameters
TDataSourceView
TDataTypeValidator
TDatePicker
TDatePickerClientScript
TDatePickerInputMode
TDatePickerMode
TDatePickerPositionMode
TDisplayStyle
TDraggable
TDropContainer
TDropDownList
TDropDownListColumn
TEditCommandColumn
TEmailAddressValidator
TExpression
TFileUpload
TFont
THiddenField
THorizontalAlign
THotSpot
THotSpotCollection
THotSpotMode
THtmlArea
THtmlElement
THyperLink
THyperLinkColumn
TImage
TImageButton
TImageClickEventParameter
TImageMap
TImageMapEventParameter
TInlineFrame
TInlineFrameAlign
TInlineFrameScrollBars
TItemDataRenderer
TJavascriptLogger
TKeyboard
TLabel
TLinkButton
TListBox
TListControl
TListControlValidator
TListItem
TListItemCollection
TListItemType
TListSelectionMode
TLiteral
TLiteralColumn
TMarkdown
TMetaTag
TMetaTagCollection
TMultiView
TOutputCache
TOutputCacheCalculateKeyEventParameter
TOutputCacheCheckDependencyEventParameter
TPager
TPagerButtonType
TPagerMode
TPagerPageChangedEventParameter
TPanel
TPanelStyle
TPlaceHolder
TPolygonHotSpot
TRadioButton
TRadioButtonList
TRangeValidationDataType
TRangeValidator
TRatingList
TReadOnlyDataSource
TReadOnlyDataSourceView
TRectangleHotSpot
TRegularExpressionValidator
TRepeatDirection
TRepeater
TRepeaterCommandEventParameter
TRepeaterItem
TRepeaterItemCollection
TRepeaterItemEventParameter
TRepeaterItemRenderer
TRepeatInfo
TRepeatLayout
TRequiredFieldValidator
TSafeHtml
TScrollBars
TServerValidateEventParameter
TSlider
TSliderClientScript
TSliderDirection
TStatements
TStyle
TStyleSheet
TTable
TTableCaptionAlign
TTableCell
TTableCellCollection
TTableFooterRow
TTableGridLines
TTableHeaderCell
TTableHeaderRow
TTableHeaderScope
TTableItemStyle
TTableRow
TTableRowCollection
TTableRowSection
TTableStyle
TTabPanel
TTabView
TTabViewCollection
TTemplateColumn
TTemplatedWizardStep
TTextAlign
TTextBox
TTextBoxAutoCompleteType
TTextBoxMode
TTextHighlighter
TTextHighlighterLineNumberStyle
TValidationCompareOperator
TValidationDataType
TValidationSummary
TValidationSummaryDisplayMode
TValidationSummaryDisplayStyle
TValidatorClientSide
TValidatorDisplayStyle
TVerticalAlign
TView
TViewCollection
TWebControl
TWebControlAdapter
TWizard
TWizardFinishNavigationTemplate
TWizardNavigationButtonStyle
TWizardNavigationButtonType
TWizardNavigationContainer
TWizardNavigationEventParameter
TWizardNavigationTemplate
TWizardSideBarListItemTemplate
TWizardSideBarTemplate
TWizardStartNavigationTemplate
TWizardStep
TWizardStepCollection
TWizardStepNavigationTemplate
TWizardStepType
TXmlTransform

Keyword

# Class TTable

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TWebControl
                |
                --TTable

TTable class

TTable displays an HTML table on a Web page.

A table may have Caption, whose alignment is specified via CaptionAlign. The table cellpadding and cellspacing are specified via CellPadding and CellSpacing properties, respectively. The GridLines specifies how the table should display its borders. The horizontal alignment of the table content can be specified via HorizontalAlign, and BackImageUrl can assign a background image to the table.

A TTable maintains a list of TTableRow controls in its Rows property. Each TTableRow represents an HTML table row.

To populate the table Rows, you may either use control template or dynamically create TTableRow in code. In template, do as follows to create the table rows and cells,

       <com:TTable>
         <com:TTableRow>
           <com:TTableCell Text="content" />
           <com:TTableCell Text="content" />
         </com:TTableRow>
         <com:TTableRow>
           <com:TTableCell Text="content" />
           <com:TTableCell Text="content" />
         </com:TTableRow>
       </com:TTable>

The above can also be accomplished in code as follows,

       $table=new TTable;
       $row=new TTableRow;
       $cell=new TTableCell; $cell->Text="content"; $row->Cells->add($cell);
       $cell=new TTableCell; $cell->Text="content"; $row->Cells->add($cell);
       $table->Rows->add($row);
       $row=new TTableRow;
       $cell=new TTableCell; $cell->Text="content"; $row->Cells->add($cell);
       $cell=new TTableCell; $cell->Text="content"; $row->Cells->add($cell);
       $table->Rows->add($row);

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Method Summary
protected void | addAttributesToRender ( THtmlWriter $writer) Adds attributes to renderer.
void | addParsedObject ( mixed $object) Adds object parsed from template to the control.
protected TTableRowCollection | createControlCollection () Creates a control collection object that is to be used to hold child controls
protected TTableStyle | createStyle () Creates a style object for the control.
string | getBackImageUrl ()
string | getCaption ()
TTableCaptionAlign | getCaptionAlign ()
integer | getCellPadding ()
integer | getCellSpacing ()
TTableGridLines | getGridLines ()
THorizontalAlign | getHorizontalAlign ()
TTableRowCollection | getRows ()
protected string | getTagName ()
void | renderBeginTag ( THtmlWriter $writer) Renders the openning tag for the table control which will render table caption if present.
void | renderContents ( THtmlWriter $writer) Renders body contents of the table.
void | setBackImageUrl ( string $value) Sets the URL of the background image for the table
void | setCaption ( string $value)
void | setCaptionAlign ( TTableCaptionAlign $value)
void | setCellPadding ( integer $value)
void | setCellSpacing ( integer $value)
void | setGridLines ( TTableGridLines $value)
void | setHorizontalAlign ( THorizontalAlign $value)

Methods Inherited From TWebControl

TWebControl::addAttributesToRender(), TWebControl::clearStyle(), TWebControl::copyBaseAttributes(), TWebControl::createStyle(), TWebControl::getAccessKey(), TWebControl::getBackColor(), TWebControl::getBorderColor(), TWebControl::getBorderStyle(), TWebControl::getBorderWidth(), TWebControl::getCssClass(), TWebControl::getDisplay(), TWebControl::getFont(), TWebControl::getForeColor(), TWebControl::getHasStyle(), TWebControl::getHeight(), TWebControl::getStyle(), TWebControl::getTabIndex(), TWebControl::getTagName(), TWebControl::getToolTip(), TWebControl::getWidth(), TWebControl::render(), TWebControl::renderBeginTag(), TWebControl::renderContents(), TWebControl::renderEndTag(), TWebControl::setAccessKey(), TWebControl::setBackColor(), TWebControl::setBorderColor(), TWebControl::setBorderStyle(), TWebControl::setBorderWidth(), TWebControl::setCssClass(), TWebControl::setDisplay(), TWebControl::setForeColor(), TWebControl::setHeight(), TWebControl::setStyle(), TWebControl::setTabIndex(), TWebControl::setToolTip(), TWebControl::setWidth()

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary

Method Details

## addAttributesToRender

protected void addAttributesToRender | (THtmlWriter $writer )

Adds attributes to renderer.

Input
THtmlWriter | $writer | the renderer
Output
Exception

## addParsedObject

public void addParsedObject | (mixed $object )

Adds object parsed from template to the control.

This method adds only TTableRow objects into the Rows collection. All other objects are ignored.

Input
mixed | $object | object parsed from template
Output
Exception

## createControlCollection

protected TTableRowCollection createControlCollection | ()

Creates a control collection object that is to be used to hold child controls

Output
TTableRowCollection | control collection
Exception

## createStyle

protected TTableStyle createStyle | ()

Creates a style object for the control.

This method creates a TTableStyle to be used by the table.

Output
TTableStyle | control style to be used
Exception

## getBackImageUrl

public string getBackImageUrl | ()

Output
string | the URL of the background image for the table
Exception

## getCaption

public string getCaption | ()

Output
string | table caption
Exception

## getCaptionAlign

public TTableCaptionAlign getCaptionAlign | ()

Output
TTableCaptionAlign | table caption alignment. Defaults to TTableCaptionAlign::NotSet.
Exception

## getCellPadding

public integer getCellPadding | ()

Output
integer | the cellpadding for the table. Defaults to -1, meaning not set.
Exception

## getCellSpacing

public integer getCellSpacing | ()

Output
integer | the cellspacing for the table. Defaults to -1, meaning not set.
Exception

## getGridLines

public TTableGridLines getGridLines | ()

Output
TTableGridLines | the grid line setting of the table. Defaults to TTableGridLines::None.
Exception

## getHorizontalAlign

public THorizontalAlign getHorizontalAlign | ()

Output
THorizontalAlign | the horizontal alignment of the table content. Defaults to THorizontalAlign::NotSet.
Exception

## getRows

public TTableRowCollection getRows | ()

Output
TTableRowCollection | list of TTableRow controls
Exception

## getTagName

protected string getTagName | ()

Output
string | tag name for the table
Exception

## renderBeginTag

public void renderBeginTag | (THtmlWriter $writer )

Renders the openning tag for the table control which will render table caption if present.

Input
THtmlWriter | $writer | the writer used for the rendering purpose
Output
Exception

## renderContents

public void renderContents | (THtmlWriter $writer )

Renders body contents of the table.

Input
THtmlWriter | $writer | the writer used for the rendering purpose.
Output
Exception

## setBackImageUrl

public void setBackImageUrl | (string $value )

Sets the URL of the background image for the table

Input
string | $value | the URL
Output
Exception

## setCaption

public void setCaption | (string $value )

Input
string | $value | table caption
Output
Exception

## setCaptionAlign

public void setCaptionAlign | (TTableCaptionAlign $value )

Input
TTableCaptionAlign | $value | table caption alignment.
Output
Exception

## setCellPadding

public void setCellPadding | (integer $value )

Input
integer | $value | the cellpadding for the table. Defaults to -1, meaning not set.
Output
Exception

## setCellSpacing

public void setCellSpacing | (integer $value )

Input
integer | $value | the cellspacing for the table. Defaults to -1, meaning not set.
Output
Exception

## setGridLines

public void setGridLines | (TTableGridLines $value )

Input
TTableGridLines | $value | the grid line setting of the table
Output
Exception

## setHorizontalAlign

public void setHorizontalAlign | (THorizontalAlign $value )

Input
THorizontalAlign | $value | the horizontal alignment of the table content.
Output
Exception